Subject: Re: bug#40090: rm seems unfinished when calling mkdir

From: Pádraig Brady <[email-masked]>
Date: Mon, 16 Mar 2020 17:32:17 +0000

tag 40090 notabug
close 40090
stop

On 16/03/2020 15:02, Boyen, Peter wrote:
> When I remove a folder by using rm -rfv ${TEMP_STORAGE}', shortly followed by an 'mkdir -pv ${TEMP_STORAGE}' to recreate the same folder, I get
> mkdir: cannot create directory './temp_storage': Operation not permitted
> It seems the rm command is not fully finished yet, somehow.
> 
>    *   I am running a Linux container on docker on Windows 10. The error occurs on a bind mount (and only there).
>    *   It only happens If there is quite some data in the folder, so it seems the rm command has to take some time
>    *   Other commands like ls and such can be run in between, but if I do 'sleep 5' in between, it doesn't occur (though obviously I don't want to do that every time).
> Version info:
> Docker desktop 2.2.0.4 (43472)
> # uname -a
> Linux 32b0494e3950 4.19.76-linuxkit #1 SMP Thu Oct 17 19:31:58 UTC 2019 x86_64 GNU/Linux
> (The image is based on the debian:stretch image)
> # mkdir --version
> mkdir (GNU coreutils) 8.26
> # rm --version
> rm (GNU coreutils) 8.26

The issue seems to be due to your file system or container setup.
Perhaps a sync(1) may help in between to avoid the bug,
but the issue is not within coreutils.

cheers,
Pádraig